Group Assignment Audit Report

Generates a report that lists users and groups that have been assigned to or unassigned (removed) from EPM groups for a specified date range. Additionally, the report includes users who have been assigned or unassigned (removed) from IDCS groups, based on the IDCS Audit record retention period.

The Group Assignment Audit Report lists the User Login Name, IDCS Group Name, and either the Predefined Group Name or EPM Group Name associated with a group membership change (as indicated in the Action column). The report also includes the EPM or IDCS group that was assigned or unassigned, the user who executed the membership change (Performed By column), and the completion timestamp (UTC) in 24-hour format. The API writes the report to the filename provided, and the report can then be downloaded using the Download REST API

This is an asynchronous job and uses the job status URI to determine if the operation is complete.

The presence of status -1 in the response indicates that the generation of Group Assignment Audit Report is in progress. Use the job status URI to determine whether the generation of the report is complete. Any non-zero status except -1 indicates failure of generating the report.

Note:

Oracle Fusion Cloud EPM ensures that only valid date range is used during report generation. These validations are performed for the start and end dates:

  • The start date cannot be earlier than the allowed maximum retention period (120 days) from the current date.
  • The end date cannot be later than the maximum retention period from the start date.

  • The end date cannot be earlier than the start date.

Required Roles

  • Service Administrator

  • Any predefined role and the Access Control - Manage granular role

  • Any predefined role and the Access Control - View granular role

REST Resource

POST /interop/rest/{api_version}/reports/groupaudit

Table 13-111 Tasks for Group Assignment Audit Report

Task Request REST Resource
Group Assignment Audit Report POST

/interop/rest/{api_version}/reports/groupaudit

Group Assignment Audit Report Status GET

/interop/rest/{api_version}/jobs/{jobId}

Request

Supported Media Type: application/json

Table 13-112 Parameters

Name Description Type Required Default
api_version Specific API version Path Yes None
filename The CSV file where the report is to be populated, such as
groupAssignmentAuditReport.csv
Payload Yes None
from_date The start date for the report (in YYYY-MM-DD format) Payload Yes None
to_date The end date for the report (in YYYY-MM-DD format) Payload Yes None

Example Payload

{
fileName":"groupauditreport_test.csv",
"from_date":"2022-03-26",
"to_date":"2022-05-30"
}

Response

Supported Media Types: application/json

Table 13-113 Parameters

Parameters Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Can be self and/or Job Status. If set to Job Status, you can use the href to get the status of the import operation
data Parameters as key value pairs passed in the request

Example of Response Body

{
   "links": [
      {
         "rel": "self",
         "href": "https://<BASE-URL>/interop/rest/{api_version}/reports/groupaudit",
         "data": null,
         "action": "POST"
      },
      {
         "rel": "Job Status",
         "href": "https://<BASE-URL>/interop/rest/v2/jobs/3180621025673301",
         "data": null,
         "action": "GET"
      }
   ],
   "status": -1,
   "details": null
}

Sample cURL Command Basic Auth

curl -X POST -s -u '<USERNAME>:<PASSWORD>' -H'Content-Type: application/json' -d '{"fileName":"groupAssignmentAuditReport.csv","from_date":"2025-03-30","to_date":"2025-04-28"}' 'https://<BASE-URL>/interop/rest/v2/reports/groupaudit'

Sample cURL Command OAuth 2.0

curl -X POST --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/json' -d '{"fileName":"groupAssignmentAuditReport.csv","from_date":"2025-03-30","to_date":"2025-04-28"}' 'https://<BASE-URL>/interop/rest/v2/reports/groupaudit'